﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ESPlus.Rapid;
using Core;
using OMCS.Passive;

namespace Client
{
    public partial class Form_Client : Form
    {
        private IRapidPassiveEngine clientEngine;

        private string selfUserID;
        private string targetUserID;

        public Form_Client(IRapidPassiveEngine _clientEngine,string _selfUserID)
        {
            this.clientEngine = _clientEngine;
            this.selfUserID = _selfUserID;
            this.Text = _selfUserID;//在窗体上显示本用户ID             
            InitializeComponent();
        }

        private void button_Send_Click(object sender, EventArgs e)
        {
            string msg = this.textBox_Input.Text;//聊天消息
            Byte[] msgCode = Encoding.UTF8.GetBytes(msg);//转码以备发送
           //从输入框读取待发送用户ID
            //利用通信引擎发送消息
            this.clientEngine.CustomizeOutter.Send(this.targetUserID, InformationType.Chat, msgCode);
            this.ShowChatMsg(this.selfUserID, msg);         
        }
        //将聊天消息按一定格式显示在界面上
        public void ShowChatMsg(string UserID, string msg)
        {
            this.richTextBox_Output.AppendText(UserID + "  " + DateTime.Now.ToString() + "\n");
            this.richTextBox_Output.AppendText(msg + "\n");
            this.richTextBox_Output.ScrollToCaret();
            this.textBox_Input.Text = "";
        }
        //开启视频
        private void button_Video_Click(object sender, EventArgs e)
        {
            this.targetUserID = this.textBox_TargetUserID.Text;
            Form_Video form_Video = new Form_Video(this.targetUserID/*待连接用户ID*/);//创建视频窗
            form_Video.Show();//显示视频窗
        }
    }
}
