﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ESPlus.Rapid;
using ESPlus.Application.Basic;
using OMCS.Passive;

namespace Client
{
    public partial class Form_Login : Form
    {
        private IRapidPassiveEngine clientEngine;//客户端通信引擎 
       
        private  ClientHandler clientHandler;//客户端消息处理器

        public string SelfUserID//本人用户ID，该属性主要是为了暴露给主窗体用来标识用户
        {            
            get { return this.textBox_UserID.Text; }
        }

        public Form_Login(IRapidPassiveEngine _clientEngine, ClientHandler _clientHandler)
        {
            InitializeComponent();
            //传入通信引擎和消息处理器主要是为了登陆的时候进行通信引擎初始化操作
            this.clientEngine = _clientEngine;
            this.clientHandler = _clientHandler;           
        }

        private void button_login_Click(object sender, EventArgs e)
        {
            //通信引擎初始化，与目标服务器建立TCP连接             
            LogonResponse logonResponse = this.clientEngine.Initialize(this.textBox_UserID.Text, this.textBox_Password.Text, "127.0.0.1", 2000, clientHandler);
            //创建多媒体设备管理器
            IMultimediaManager multimediaManager = MultimediaManagerFactory.GetSingleton();
            multimediaManager.CameraDeviceIndex = 1;//要使用的摄像头的索引
            multimediaManager.AutoAdjustCameraEncodeQuality = false;//是否根据音频反馈以及视频丢帧情况自动调整视频编码质量
            //与多媒体服务器建立连接，并初始化本地多媒体管理器。
            multimediaManager.Initialize(this.textBox_UserID.Text,/*当前登录的用户ID*/
                                         null,/*当前登录的用户的密码*/
                                        "127.0.0.1",/* OMCS服务器IP*/
                                         2400);/*OMCS服务器端口*/
            if (logonResponse.LogonResult == LogonResult.Succeed)
            {
                this.DialogResult = DialogResult.OK;
            }
            else
            {
                MessageBox.Show("登陆失败！" + logonResponse.LogonResult.ToString() + logonResponse.FailureCause);
            }
        }         
    }
}
