﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ESBasic;
using OMCS.Passive;

namespace Client
{
    public partial class Form_Video : Form
    {
        public Form_Video(string targetUserID)
        {
            InitializeComponent();
            //预定摄像头连接器的连接结束和连接断开事件             
            this.cameraConnector.ConnectEnded += new ESBasic.CbGeneric<OMCS.Passive.ConnectResult>(cameraConnector_ConnectEnded);
            this.cameraConnector.Disconnected += new ESBasic.CbGeneric<OMCS.Passive.ConnectorDisconnectedType>(cameraConnector_Disconnected);
            this.cameraConnector.BeginConnect(targetUserID/*待连接用户ID*/);//尝试连接目标多媒体设备。           
        }

        void cameraConnector_Disconnected(OMCS.Passive.ConnectorDisconnectedType connectorDisconnectedType)
        {
            if (this.InvokeRequired)
            {
                this.BeginInvoke(new CbGeneric<ConnectorDisconnectedType>(this.cameraConnector_Disconnected), connectorDisconnectedType);
            }
            else
            {
                this.Text = string.Format("视频：断开，{0}", connectorDisconnectedType);
                if (connectorDisconnectedType == ConnectorDisconnectedType.TrialTimeout)
                {
                    MessageBox.Show("Trial Timeout");
                }
            }
        }

        void cameraConnector_ConnectEnded(ConnectResult result)
        {
            if (this.InvokeRequired)
            {
                this.BeginInvoke(new CbGeneric<ConnectResult>(this.cameraConnector_ConnectEnded), result);
            }
            else
            {
                //显示视频连接结果
                this.Text = string.Format("视频：{0}", result == ConnectResult.Succeed ? "正常" : result.ToString());
            }
        }

        //关闭窗口时，主动断开连接，并释放连接器。

        private void Form_Video_FormClosed(object sender, FormClosedEventArgs e)
        {
            this.cameraConnector.Disconnect();//与目标用户的多媒体设备断开连接
            this.cameraConnector.Dispose(); //释放资源        
        }     
    }
}
