﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using ESPlus.Rapid;
using OMCS.Passive;

namespace Client
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            IRapidPassiveEngine clientEngine = RapidEngineFactory.CreatePassiveEngine();//创建客户端通信引擎
            ClientHandler clientHandler = new ClientHandler();//创建客户端消息处理器        
            Form_Login loginForm = new Form_Login(clientEngine, clientHandler);       
            loginForm.ShowDialog();//登陆窗会话完成才能运行主窗体
            Form_Client clientForm = new Form_Client(clientEngine, loginForm.SelfUserID);
            clientHandler.ClientForm = clientForm;
            Application.Run(clientForm);
        }
    }
}
